GDBserver

Functions
hostio.h File Reference

Go to the source code of this file.

## Functions
void | hostio_handle_new_gdb_connection (void)
int | handle_vFile (char *, int, int *)
void | hostio_last_error_from_errno (char *own_buf)

## Function Documentation

## ◆ handle_vFile()

int handle_vFile | ( | char * | ,
|  | int | ,
|  | int * |
| ) |  |

Definition at line 595 of file hostio.c.

References handle_close(), handle_fstat(), handle_open(), handle_pread(), handle_pwrite(), handle_readlink(), handle_setfs(), handle_unlink(), own_buf, and startswith().

Referenced by handle_v_requests().

## ◆ hostio_handle_new_gdb_connection()

void hostio_handle_new_gdb_connection | ( | void |  | ) |

Definition at line 255 of file hostio.c.

References hostio_fs_pid.

Referenced by handle_query().

## ◆ hostio_last_error_from_errno()

void hostio_last_error_from_errno | ( | char * | own_buf | ) |

Definition at line 28 of file hostio-errno.c.

References errno, error(), and host_to_fileio_error().